/*#########################################################################
#                                                                         #
#   Simple script for testing the scriptable service browser              #
#   by creating a simple static browser with some cool radio              #
#   streams. URLs shamelessly stolen from Cool-Streams.xml.               #
#                                                                         #
#   Copyright                                                             #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#   (C)       2008 Georges Dubus <georges.dubus@supelec.fr>               #
#   (C)       2008 Nickolay Bunev <just4nick@gmail.com>                   #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

function Station( name, url, description )
{
    this.name = name;
    this.url = url;
    this.description = description;
}


categories = new Object;


categories["Serbian Folk Radios"]= new Array (
new Station( "Radio Buca FM Folk",    "http://live.radiobuca.rs/", "Enjoy the Music" ),
new Station( "Radio Bubamara Svrljig Uzivo",        "http://shoutcast.netsi.net:8400/", "Enjoy the Music" ),
new Station( "Radio Ok",     "http://live2.okradio.net:8052/", "Enjoy the Music" ),
new Station( "Radio Morava Jagodina",     "http://78.129.199.49:12100/", "Enjoy the Music" ),
new Station( "Radio Subotica",       "http://onlineradio.hu:8010/szerb_adas.mp3", "Enjoy the Music" ),
new Station( "Radio Antena Krusevac", "http://antenaradio.org:7005/", "Enjoy the Music" ),
new Station( "Radio Sajkaska",      "http://radio.web-streaming.net:8064/", "Enjoy the Music" ),
new Station( "Radio Svet Plus",    "http://live.livepro.tv/2006svet8080", "Enjoy the Music" ),
new Station( "Radio Stotka Vrnjacka Banja",    "http://212.62.39.134:8000/", "Enjoy the Music" ),
new Station( "Radio Kiss",    "http://kiss48.kissradio.biz:8000", "Enjoy the Music" ),
new Station( "Radio Bravo Pozarevac",    "http://91.121.159.35:9000", "Enjoy the Music" ),
new Station( "Radio Novi Sad Folk",    "http://91.121.202.156:8056", "Enjoy the Music" ),
new Station( "Radio Srce Novi Sad Folk",    "http://91.121.202.156:8062", "Enjoy the Music" ),
new Station( "Radio Novi Sad Program SR",    "http://82.117.194.13:9020", "Enjoy the Music" ),
new Station( "Radio Suton Beograd",    "http://radio.srpskiradiosuton.com:8010/", "Enjoy the Music" ),
new Station( "Radio Cer Folk Sabac",    "http://67.15.73.219:9150/", "cirilica" ),
new Station( "Radio Javor Folk Ivanjica",    "http://213.246.55.5:9535/", "cirilica" ),
new Station( "Radio Gold Folk Srednjevo",    "http://67.15.73.219:16000", "cirilica" ),
new Station( "Radio MB Paris",    "http://live64.mb-radio.biz:10100/", "cirilica" ),
new Station( "Radio Kum Folk Beograd",    "http://87.98.217.82:7050", "cirilica" ),
new Station( "Radio Vlax Folk Trstenik",    "http://78.129.196.104:8158/", "cirilica" ),
new Station( "Radio K4 Pristina",    "http://fm.radiokfor.com:8090/", "cirilica" )
);
categories["Serbian Pop Radios"]= new Array (
new Station( "Radio Pingvin Top 40 Pop", "http://radiopingvin.com:10300/", "" ),
new Station( "Radio B92",   "http://xs3.b92.net:7999/radio-b92.mp3", "" ),
new Station( "Radio Naxi 96,9 MHz  Beograd",     "http://174.132.123.90:8004", "" ),
new Station( "Radio Index",    "http://digital.indexradio.com:8002/listen.pls", "" ),
new Station( "Radio TDI Beograd",   "http://streaming.tdiradio.com:9090/", "" ),
new Station( "Radio Desetka Beograd",  "http://stream02.shoutcast.ch:10280/", "" ),
new Station( "Radio Maxnet",    "http://89.216.32.23:80", "" ),
new Station( "Radio TDI Love",    "http://streaming.tdiradio.com:9333/", "" ),
new Station( "Radio TDI House",    "http://streaming.tdiradio.com:9222/", "" ),
new Station( "Radio Energy",    "http://www.nrg.rs/listen.pls", "" ),
new Station( "Radio S",    "http://85.25.124.74:8877/listen.pls", "" ),
new Station( "Radio BetaRFI",     "http://live.betarfi.com:6666/", "" ),
new Station( "Radio Studio B",    "http://radio.studiob.rs:8004/", "" ),
new Station( "Radio Top FM",    "mms://beotelmedia.beotel.net/topfm", "" ),
new Station( "Radio Roadstar",    "http://roadstar128.streaming.rs:9300", "" ),
new Station( "Radio Zrenjanin",    "http://212.200.56.5:80/radiozrenjanin", "" ),
new Station( "Radio Seven Nis",    "http://83.170.95.105:9888", "" ),
new Station( "Radio Novi Sad Stotka",    "http://82.117.194.13:9040", "" ),
new Station( "Radio Novi Sad Planeta",    "http://193.239.120.53:8036", "" ),
new Station( "Radio Sajam Novi Sad",    "http://77.105.0.69:8000/", "" ),
new Station( "Radio Zajecar",    "http://77.105.40.227:8080/", "" ),
new Station( "Radio 9 Kragujevac",    "http://mediastream.my-its.com:9360", "" ),
new Station( "Radio Pingvinko 24/7",    "http://pingvinko.serverroom.us:7384/", "" ),
new Station( "Radio Beograd New",    "http://74.54.57.98:8100/", "" ),
new Station( "Radio Fokus",    "http://194.106.184.201:8000/", "" ),
new Station( "Radio X-Plode Novi Sad",    "http://shoutcast.dkhosting.co.uk:8026/", "" ),
new Station( "Radio Autentik Jagodina",    "http://autentik.streaming.rs:8170/", "" ),
new Station( "Radio Duga Trgoviste",    "http://87.98.217.82:7055/", "" ),
new Station( "Radio Bravo Kragujevac",    "http://77.105.0.97:8000/", "" )
);


function RadioSR()
{
    Amarok.debug( "creating Serbian Radio Streams service..." );
    ScriptableServiceScript.call( this, "Serbian Radio Streams", 2, "List of some Serbian Online Radio Stations", "List of some Serbian Online Radio Stations", false );
    Amarok.debug( "done." );
}


function onPopulating( level, callbackData, filter )
{
    if ( level == 1 ) 
    {
        for( att in categories )
        {
            Amarok.debug ("att: " + att + ", " + categories[att].name)
           
            item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
	    script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
        Amarok.debug( " Populating station level..." );
	//add the station streams as leaf nodes

        var stationArray = categories[callbackData];

	for ( i = 0; i < stationArray.length; i++ )
	{
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.infoHtml = stationArray[i].description;
                item.artist = "Online Radio";
		script.insertItem( item );
	}
	script.donePopulating();
    }
}


script = new RadioSR();
script.populate.connect( onPopulating );
